2018-08-19 20:27 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003019OpenFOAM[All Projects] Bugpublic2018-08-06 10:14
Reportertrparry 
Assigned Towill 
PriorityhighSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version18.04 LTS
Product Version6 
Target VersionFixed in Version6 
Summary0003019: OF 6 wallHeatFlux utility not working on chtMultiRegionFoam tutorials
DescriptionI was adapting one of my chtMultiRegionSimpleFoam cases from OF 5 to chtMultiRegionFoam on OF 6, the "simple" version of this solver has been deprecated since chtMultiRegionFoam can now run both steady and transient solutions. See this link: https://openfoam.org/release/6/

I ran into an error with the wallHeatFlux post process utility, so I moved to the multiRegionHeaterRadiation tutorial (which is similar to my case) and the error persisted. I was able to reproduce the error in all of the other chtMultiRegionFoam tutorials that I tried. I've been able to use the wallHeatFlux utility in this way in previous versions of openfoam which makes me think it's a bug, unless I'm missing something.

It seems there was a few modifications that was done to the wallHeatFlux utility in OF 6 which may have caused the error. volScalarField WallHeatFlux is no longer in the objectRegistry causing Openfoam to complain.

The error only occurs when you run the wall heatflux utility on a fluid region.
Steps To Reproduce1.) Navigate to the multiRegionHeaterRadiation tutorial.
2.) Run the Allrun script.
3.) After the run is finished, run the wallHeatFlux utility: chtMultiRegionFoam -postProcess -func wallHeatFlux -region bottomAir > log.fluid
4.) The error message is shown:
--> FOAM FATAL ERROR:

    request for volScalarField wallHeatFlux from objectRegistry bottomAir failed
    available objects of type volScalarField are

14
(
thermo:mu
thermo:psi
K
h
rho
p_rgh
Qdot
qr
dpdt
gh
p
T
thermo:rho
thermo:alpha
)


    From function const Type& Foam::objectRegistry::lookupObject(const Foam::word&) const [with Type = Foam::GeometricField<double, Foam::fvPatchField, Foam::volMesh>]
    in file /home/ubuntu/OpenFOAM/OpenFOAM-6/src/OpenFOAM/lnInclude/objectRegistryTemplates.C at line 193.

FOAM aborting

Additional InformationLooking at the log file, it seems that the wallHeatFlux utility is able to execute correctly for time 0, but not for any subsequent timesteps.

Thanks,

Tim
TagswallHeatFlux
Attached Files

-Relationships
+Relationships

-Notes

~0009906

will (manager)

Thanks for the report. Fixed in dev by commit 8c152cb, and in 6 by 0f14683c.
+Notes

-Issue History
Date Modified Username Field Change
2018-08-01 23:59 trparry New Issue
2018-08-01 23:59 trparry Tag Attached: wallHeatFlux
2018-08-06 10:14 will Assigned To => will
2018-08-06 10:14 will Status new => resolved
2018-08-06 10:14 will Resolution open => fixed
2018-08-06 10:14 will Fixed in Version => 6
2018-08-06 10:14 will Note Added: 0009906
+Issue History